# arm_linear_interp_q31.c File Reference

CMSIS-DSP: arm_linear_interp_q31.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_linear_interp_q31.c File Reference

## Functions

q31_t | arm_linear_interp_q31 (const q31_t *pYData, q31_t x, uint32_t nValues)
| Process function for the Q31 Linear Interpolation Function. More...